# H323TransportAddressArray Class Reference

`#include <transaddr.h>`

## Public Member Functions

| H323TransportAddressArray (PINDEX initialSize=0)
| H323TransportAddressArray (const OpalTransportAddress &address)
| H323TransportAddressArray (const H323TransportAddress &address)
| H323TransportAddressArray (const H225_ArrayOf_TransportAddress &addresses)
| H323TransportAddressArray (const OpalTransportAddressArray &array)
| H323TransportAddressArray (const PStringArray &array)
| H323TransportAddressArray (const PStringList &list)
| H323TransportAddressArray (const PSortedStringList &list)
void | AppendString (const char *address)
void | AppendString (const PString &address)
void | AppendAddress (const H323TransportAddress &address)
virtual PObject * | Clone () const

## Protected Member Functions

| H323TransportAddressArray (int dummy, const H323TransportAddressArray *c)
void | AppendStringCollection (const PCollection &coll)

## Constructor & Destructor Documentation

H323TransportAddressArray::H323TransportAddressArray | ( | int | dummy,
|  | const H323TransportAddressArray * | c |
| ) |  |  | `[inline, protected]`

H323TransportAddressArray::H323TransportAddressArray | ( | PINDEX | initialSize = `0` | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const OpalTransportAddress & | address | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const H323TransportAddress & | address | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const H225_ArrayOf_TransportAddress & | addresses | ) |

H323TransportAddressArray::H323TransportAddressArray | ( | const OpalTransportAddressArray & | array | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const PStringArray & | array | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const PStringList & | list | ) | `[inline]`

H323TransportAddressArray::H323TransportAddressArray | ( | const PSortedStringList & | list | ) | `[inline]`

## Member Function Documentation

void H323TransportAddressArray::AppendAddress | ( | const H323TransportAddress & | address | ) |

void H323TransportAddressArray::AppendString | ( | const PString & | address | ) |

void H323TransportAddressArray::AppendString | ( | const char * | address | ) |

void H323TransportAddressArray::AppendStringCollection | ( | const PCollection & | coll | ) | `[protected]`

virtual PObject* H323TransportAddressArray::Clone | ( |  | ) | const`[inline, virtual]`

The documentation for this class was generated from the following file:

- transaddr.h